org.eclipse.aether.spi.connector

## Class Transfer

- java.lang.Object
- - org.eclipse.aether.spi.connector.Transfer

- Direct Known Subclasses:
    ArtifactTransfer, MetadataTransfer

      public abstract class Transfer
      extends Object

  An artifact/metadata transfer.
  Restriction:
    This class is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Transfer.State` The state of a transfer.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transfer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transfer.State` | `getState()` Gets the state of this transfer.
    `RequestTrace` | `getTrace()` Gets the trace information that describes the higher level request/operation in which this transfer is issued.
    `Transfer` | `setState(Transfer.State state)` Sets the state of this transfer.
    `Transfer` | `setTrace(RequestTrace trace)` Sets the trace information that describes the higher level request/operation in which this transfer is issued.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transfer

          public Transfer()

  - ### Method Detail

    - #### getState

          public Transfer.State getState()

      Gets the state of this transfer.
      Returns:
        The state of this transfer, never `null`.

    - #### setState

          public Transfer setState(Transfer.State state)

      Sets the state of this transfer.
      Parameters:
        `state` - The new state, must not be `null`.
      Returns:
        This transfer for chaining, never `null`.

    - #### getTrace

          public RequestTrace getTrace()

      Gets the trace information that describes the higher level request/operation in which this transfer is issued.
      Returns:
        The trace information about the higher level operation or `null` if none.

    - #### setTrace

          public Transfer setTrace(RequestTrace trace)

      Sets the trace information that describes the higher level request/operation in which this transfer is issued.
      Parameters:
        `trace` - The trace information about the higher level operation, may be `null`.
      Returns:
        This transfer for chaining, never `null`.

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.